# Flutter Enhancement Suite - Snippets :scissors: 

[![Pub](https://img.shields.io/jetbrains/plugin/v/12693-flutter-enhancement-suite.svg?label=Flutter%20Enhancement%20Suite)](https://plugins.jetbrains.com/plugin/12693-flutter-enhancement-suite)

## Dart Code Snippets

| Snippet    | Description                                        |
| ---------- | -------------------------------------------------- |
| `dvar`     | Dart variable declaration using `var`              |
| `dfinal`   | Dart variable declaration using `final`            |
| `dconst`   | Dart variable declaration using `const`            |
| `dinvar`   | Dart public Instance variable                      |
| `dprinvar` | Dart private instance variable                     |
| `dmt`      | Dart public method                                 |
| `dprmt`    | Dart private method                                |
| `darr`     | Dart public arrow function                         |
| `dprarr`   | Dart private arrow function                        |
| `doconst`  | Dart optional named parameters constructor         |
| `dnconst`  | Dart optional named constructor                    |
| `dlist`    | Dart `List` collection                             |
| `dmap`     | Dart `Map` collection                              |
| `dset`     | Dart `Set` collection                              |
| `dgetarr`  | Dart arrow function getter                         |
| `dimpas`   | Dart `import as`                                   |
| `dimpshow` | Dart `import show`                                 |
| `dimpdeff` | Dart `import deffered as`                          |
| `dimphide` | Dart `import hide`                                 |
| `dexphide` | Dart `export hide`                                 |
| `dexpshow` | Dart `export show`                                 |

## Flutter Widget Snippets

| Snippet         | Description                                                                                |
| -----------     | --------------------------------------------------------------------------------           |
| `fimpmat`       | Add import to material's package                                                           |
| `fimpcup`       | Add import to cupertino's package                                                          |
| `fanimbuilder`  | Flutter `AnimatedBuilder` widget                                                           |
| `faspratio`     | Flutter `AspectRatio` widget                                                               |
| `fcent`         | Flutter `Center` widget                                                                    |
| `fcol`          | Flutter `Column` widget                                                                    |
| `fcont`         | Flutter `Container` widget                                                                 |
| `fcustomclipper`| Flutter `CustomClipper` widget                                                             |
| `fcustompainter`| Flutter `CustomPainter` widget                                                             |
| `fcustomscroll` | Flutter `CustomScrollView` widget                                                          |
| `finall`        | Flutter `EdgeInsets` widget with named constructor `all`                                   |
| `finonly`       | Flutter `EdgeInsets` widget with named constructor `only`                                  |
| `finsym`        | Flutter `EdgeInsets` widget with named constructor `symmetric`                             |
| `finsymh`       | Flutter `EdgeInsets` widget with named constructor `symmetric` with `horizontal` parameter |
| `finsymv`       | Flutter `EdgeInsets` widget with named constructor `symmetric` with `vertical` parameter   |
| `fexp`          | Flutter `Expanded` widget                                                                  |
| `ffuturebuilder`| Flutter `FutureBuilder` widget                                                             |
| `ficon`         | Flutter `Icon` widget                                                                      |
| `flayoutbuilder`| Flutter `LayoutBuilder` widget                                                             |
| `flistvbuilder` | Flutter `ListView.builder()` widget                                                        |
| `forientbuilder`| Flutter `OrientationBuilder` widget                                                        |
| `frow`          | Flutter `Row` widget                                                                       |
| `fscaffold`     | Flutter `Scaffold` widget                                                                  |
| `fscaffoldab`   | Flutter `Scaffold` widget with `AppBar`                                                    |
| `fscaffoldabbn` | Flutter `Scaffold` widget with `AppBar` and `BottomNavigationBar`                          |
| `fscaffoldabfab`| Flutter `Scaffold` widget with `AppBar` and `FloatingActionButton`                         |
| `fscaffoldall`  | Flutter `Scaffold` widget with `AppBar`, `BottomNavigationBar` and `FloatingActionButton`  |
| `fdialog`       | Flutter `showDialog` method                                                                |
| `fsinglechildsc`| Flutter `SingleChildScrollView` widget                                                     |
| `fsb`           | Flutter `SizedBox` widget                                                                  |
| `fsbh`          | Flutter `SizedBox` widget with `height`                                                    |
| `fsbw`          | Flutter `SizedBox` widget with `width`                                                     |
| `fstfulbuilder` | Flutter `StatefulBuilder` widget                                                           |
| `fstreambuilder`| Flutter `StreamBuilder` widget                                                             |
| `ftext`         | Flutter `Text` widget                                                                      |
